mrunit build issues



0

I am trying to build the eclipse project from module 5, however, I am running into dependency compilation of MRUnit

my pom.xml has the below dependency (attached the complete pom.xml)

<dependency>

    <groupId>org.apache.mrunit</groupId>

    <artifactId>mrunit</artifactId>

    <version>1.0.0</version>

    <scope>test</scope>

    <classifier>hadoop2</classifier>

  <!-- <optional>true</optional> --> 

</dependency>

Below jars are found to be missing

Description    Resource    Path    Location    Type
Project 'module-5' is missing required library: 'E:/lib/hadoop-2.0/avro-1.5.0.jar'    module-5        Build path    Build Path Problem
Project 'module-5' is missing required library: 'E:/lib/hadoop-2.0/commons-codec-1.4.jar'    module-5        Build path    Build Path Problem
Project 'module-5' is missing required library: 'E:/lib/hadoop-2.0/commons-lang-2.6.jar'    module-5        Build path    Build Path Problem
Project 'module-5' is missing required library: 'E:/lib/hadoop-2.0/commons-logging-1.1.1.jar'    module-5        Build path    Build Path Problem
Project 'module-5' is missing required library: 'E:/lib/hadoop-2.0/guava-12.0.jar'    module-5        Build path    Build Path Problem
Project 'module-5' is missing required library: 'E:/lib/hadoop-2.0/hadoop-common-2.2.0.jar'    module-5        Build path    Build Path Problem
Project 'module-5' is missing required library: 'E:/lib/hadoop-2.0/hadoop-mapreduce-client-core-2.2.0.jar'    module-5        Build path    Build Path Problem
Project 'module-5' is missing required library: 'E:/lib/hadoop-2.0/hamcrest-core-1.1.jar'    module-5        Build path    Build Path Problem
Project 'module-5' is missing required library: 'E:/lib/hadoop-2.0/jackson-mapper-lgpl-1.6.7.jar'    module-5        Build path    Build Path Problem
Project 'module-5' is missing required library: 'E:/lib/hadoop-2.0/junit-4.10.jar'    module-5        Build path    Build Path Problem
Project 'module-5' is missing required library: 'E:/lib/hadoop-2.0/log4j-1.2.15.jar'    module-5        Build path    Build Path Problem
Project 'module-5' is missing required library: 'E:/lib/hadoop-2.0/mockito-all-1.8.5.jar'    module-5        Build path    Build Path Problem
Project 'module-5' is missing required library: 'E:/lib/hadoop-2.0/mrunit-1.0.0-hadoop1.jar'    module-5        Build path    Build Path Problem
 



1 Answer(s)


0

Hi Naveen,

You are using other libraries in the imports which you haven't added in the pom.xml or you are using the wrong version.

Please go to below link and update the packages:
https://mvnrepository.com

For example, you need mockito-all-1.8.5 jar and you are using 1.8.4 in pom.xml:
https://mvnrepository.com/artifact/org.mockito/mockito-all/1.8.5

Make sure to update maven after added the packages in the dependecies.

Hope this helps. Thanks